Simulate review response in Sandbox

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method in Sandbox mode to simulate changing the applicant review status to GREEN as if the applicant was approved, or RED as if the applicant was rejected.

For example, this method can be helpful when you are practising automated testing and want to make sure that nothing will be broken when updating your code. In effect, you simulate a positive or negative review answer and receive results via the applicantReviewed webhooks.

🚧

Attention

For the method to work, make sure to use the App token and Secret key pair created in Sandbox mode. The applicant profiles for testing must be created in Sandbox mode as well.

Request examples

curl -X POST \
  'https://api.sumsub.com/resources/applicants/5bb8cca10a975a624903cf65/status/testCompleted' \
  -H 'content-type: application/json' \
  -H 'X-App-Token: <your-app-token>' \
  -H 'X-App-Access-Sig: <your-signature>' \
  -H 'X-App-Access-Ts: <unix-timestamp>' \
  -d '{
        "reviewAnswer" : "GREEN",
        "rejectLabels": []
      }'
curl -X POST \
  'https://api.sumsub.com/resources/applicants/5bb8cca10a975a624903cf65/status/testCompleted' \
  -H 'content-type: application/json' \
  -H 'X-App-Token: <your-app-token>' \
  -H 'X-App-Access-Sig: <your-signature>' \
  -H 'X-App-Access-Ts: <unix-timestamp>' \
  -d '{
        "reviewAnswer": "RED",
        "rejectLabels": [
          "UNSATISFACTORY_PHOTOS",
          "SCREENSHOTS"
        ],
        "reviewRejectType": "RETRY",
        "clientComment": "Screenshots are not accepted.",
        "moderationComment": "We do not accept screenshots. Please upload an original photo."
      }'

Response explained

If the request is successfully sent and processed, you will get the following response:

{
  "ok": 1
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error.

For example:

{
  "description": "This method is only supported on sandbox env",
  "code": 400,
  "correlationId": "9183e216fd0550ae0db9a93cbbbbbb4e"
}
📘

Note

In case of HTTP response 200, you may ignore the response body.


Path Params
string
required

Unique applicant identifier in the Sumsub system.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

Body Params
string
enum
required

Label under which you want to simulate the response.

  • GREEN — to simulate a positive response as if the applicant is approved.
  • RED — to simulate a negative response as if the applicant is rejected.

For more information about receiving results via the applicantReviewed webhooks, see this article.

Allowed:
rejectLabels
array of strings

Add rejection labels to specify the reason for rejection. Each string stands for a single label.

Rejection labels are required only if reviewAnswer is RED.

rejectLabels
string
enum

If reviewAnswer is RED, indicate the type of rejection.

  • FINALRejected status in case of major violations. The applicant cannot resubmit the documents for verification.
  • RETRYResubmission requested status in case of minor violations. The applicant has a chance to upload new documents or resubmit correct data.

Allowed:
string

A human-readable comment that explains the reasons for rejection in detail. This comment must not be shown to the applicant.

string

A human-readable comment that explains the reasons for rejection in detail. This comment can be shown to the applicant.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!